<?php
/**
 * Created by PhpStorm.
 * User: pengfei@yidian-inc.com
 * Date: 2021/9/28 1:44 下午
 */

namespace App\Models\wx\mysql;

use Api\PhpUtils\Mysql\MysqlBase;

class WxGroupChat extends MysqlBase
{
    const TABLE_NAME = 'wx_group_chat';
    const CONFIG_INDEX = 'goods';
    const PRIMARY_KEY = 'id';

    public static function getRecords($where, $columns = []): array
    {
        if (empty($columns)) {
            $columns = '*';
        }
        return (array)self::select($columns, $where);
    }

    public static function updateRecord($colums, $where)
    {
        return self::update($colums, $where);
    }

    public static function save($data, $where = [])
    {
        if (empty($where)) {
            return self::insert($data);
        }
        return self::update($data, $where);
    }
}