<?php
/**
 * Created by PhpStorm.
 * User: pengfei@yidian-inc.com
 * Date: 2021/9/28 1:45 下午
 */

namespace App\Models\wx\mysql;

use Api\PhpUtils\Mysql\MysqlBase;

class WxGroupChatUser extends MysqlBase
{
    const TABLE_NAME = 'wx_group_chat_user';
    const CONFIG_INDEX = 'goods';
    const PRIMARY_KEY = 'id';

    const STATUS_LEAVE  = 0; // 状态: 退出群聊
    const STATUS_NORMAL = 1; // 状态:正常

    public static function getRecords($where, $columns = []): array
    {
        if (empty($columns)) {
            $columns = '*';
        }
        return (array)self::select($columns, $where);
    }

    public static function updateRecord($columns, $where)
    {
        return self::update($columns, $where);
    }

    public static function save($data, $where = [])
    {
        if (empty($where)) {
            return self::insert($data);
        }
        return self::update($data, $where);
    }
}
